Index: sys/netinet/ip.h
===================================================================
RCS file: /home/ncvs/src/sys/netinet/ip.h,v
retrieving revision 1.31
diff -u -p -r1.31 ip.h
--- sys/netinet/ip.h	11 May 2007 11:00:48 -0000	1.31
+++ sys/netinet/ip.h	18 Aug 2007 00:36:04 -0000
@@ -82,11 +82,6 @@ CTASSERT(sizeof (struct ip) == 20);
 #define	IPTOS_THROUGHPUT	0x08
 #define	IPTOS_RELIABILITY	0x04
 #define	IPTOS_MINCOST		0x02
-#if 1
-/* ECN RFC3168 obsoletes RFC2481, and these will be deprecated soon. */
-#define	IPTOS_CE		0x01
-#define	IPTOS_ECT		0x02
-#endif
 
 /*
  * Definitions for IP precedence (also in ip_tos) (hopefully unused).
Index: sbin/ipfw/ipfw2.c
===================================================================
RCS file: /home/ncvs/src/sbin/ipfw/ipfw2.c,v
retrieving revision 1.108
diff -u -p -r1.108 ipfw2.c
--- sbin/ipfw/ipfw2.c	23 Sep 2007 16:29:22 -0000	1.108
+++ sbin/ipfw/ipfw2.c	26 Sep 2007 10:51:01 -0000
@@ -179,8 +179,8 @@ static struct _s_x f_iptos[] = {
 	{ "throughput",	IPTOS_THROUGHPUT},
 	{ "reliability", IPTOS_RELIABILITY},
 	{ "mincost",	IPTOS_MINCOST},
-	{ "congestion",	IPTOS_CE},
-	{ "ecntransport", IPTOS_ECT},
+	{ "congestion",	IPTOS_ECN_CE},
+	{ "ecntransport", IPTOS_ECN_ECT0},
 	{ "ip tos option", 0},
 	{ NULL,	0 }
 };
